Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: hddtemp

Interfaces

### Description:

Hard disk temperature tool running as a daemon.

### Interfaces:

hddtemp_admin( domain , role )

##### Summary

All of the rules required to administrate an hddtemp environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

hddtemp_domtrans( domain )

##### Summary

Execute a domain transition to run hddtemp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

hddtemp_exec( domain )

##### Summary

Execute hddtemp in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return